<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for Get_Planning_V2 StructType
 * @subpackage Structs
 */
class Get_Planning_V2 extends AbstractStructBase
{
    /**
     * The Login
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\Login
     */
    public $Login;
    /**
     * The PlanningSelection
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\PlanningSelection
     */
    public $PlanningSelection;
    /**
     * Constructor method for Get_Planning_V2
     * @uses Get_Planning_V2::setLogin()
     * @uses Get_Planning_V2::setPlanningSelection()
     * @param \StructType\Login $login
     * @param \StructType\PlanningSelection $planningSelection
     */
    public function __construct(\StructType\Login $login = null, \StructType\PlanningSelection $planningSelection = null)
    {
        $this
            ->setLogin($login)
            ->setPlanningSelection($planningSelection);
    }
    /**
     * Get Login value
     * @return \StructType\Login|null
     */
    public function getLogin()
    {
        return $this->Login;
    }
    /**
     * Set Login value
     * @param \StructType\Login $login
     * @return \StructType\Get_Planning_V2
     */
    public function setLogin(\StructType\Login $login = null)
    {
        $this->Login = $login;
        return $this;
    }
    /**
     * Get PlanningSelection value
     * @return \StructType\PlanningSelection|null
     */
    public function getPlanningSelection()
    {
        return $this->PlanningSelection;
    }
    /**
     * Set PlanningSelection value
     * @param \StructType\PlanningSelection $planningSelection
     * @return \StructType\Get_Planning_V2
     */
    public function setPlanningSelection(\StructType\PlanningSelection $planningSelection = null)
    {
        $this->PlanningSelection = $planningSelection;
        return $this;
    }
}
